<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>pandas &#8212; pandas 2.1.1 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=233b9934" />
    <script src="_static/documentation_options.js?v=841abef3"></script>
    <script src="_static/doctools.js?v=888ff710"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="&lt;no title&gt;" href="contributing.html" />
    <link rel="prev" title="&lt;no title&gt;" href="readme.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="pandas">
<h1>pandas<a class="headerlink" href="#pandas" title="Link to this heading">¶</a></h1>
<p>Pandas DataFrame CLI manipulation.</p>
<p>This CLI allows users to read, write, and manipulate pandas DataFrames
from the command line.</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span><span class="w"> </span>COMMAND1<span class="w"> </span><span class="o">[</span>ARGS<span class="o">]</span>...<span class="w"> </span><span class="o">[</span>COMMAND2<span class="w"> </span><span class="o">[</span>ARGS<span class="o">]</span>...<span class="o">]</span>...
</pre></div>
</div>
<section id="pandas-agg">
<h2>agg<a class="headerlink" href="#pandas-agg" title="Link to this heading">¶</a></h2>
<p>Aggregate using one or more operations over the specified axis.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>agg<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-agg-f">
<span id="cmdoption-pandas-agg-func"></span><span class="sig-name descname"><span class="pre">-f</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--func</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;func&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-agg-f" title="Link to this definition">¶</a></dt>
<dd><p><strong>Required</strong> The reduction/aggregation function to apply.</p>
</dd></dl>

<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-agg-a">
<span id="cmdoption-pandas-agg-axis"></span><span class="sig-name descname"><span class="pre">-a</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--axis</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;axis&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-agg-a" title="Link to this definition">¶</a></dt>
<dd><p>Axis along which to apply the aggregation function.</p>
</dd></dl>

</section>
<section id="pandas-astype">
<h2>astype<a class="headerlink" href="#pandas-astype" title="Link to this heading">¶</a></h2>
<p>Cast a pandas object to a specified data type.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>astype<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-astype-t">
<span id="cmdoption-pandas-astype-type"></span><span class="sig-name descname"><span class="pre">-t</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--type</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;type_&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-astype-t" title="Link to this definition">¶</a></dt>
<dd><p><strong>Required</strong> Use a str, numpy.dtype, pandas.ExtensionDtype or Python type to
cast entire pandas object to the same type. Alternatively, use a
mapping, e.g. {‘col’: ‘&lt;type&gt;’, …}, where col is a column label
and dtype is a numpy.dtype or Python type to cast one or more of
the DataFrame’s columns to column-specific types.</p>
<p><em>IMPORTANT</em> If using a map, ensure all keys and values are strings.</p>
</dd></dl>

</section>
<section id="pandas-axes">
<h2>axes<a class="headerlink" href="#pandas-axes" title="Link to this heading">¶</a></h2>
<p>Return a list representing the axes of the DataFrame.</p>
<p>It has the row axis labels and column axis labels as the only members. They
are returned in that order.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>axes<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
</section>
<section id="pandas-columns">
<h2>columns<a class="headerlink" href="#pandas-columns" title="Link to this heading">¶</a></h2>
<p>The column labels of the DataFrame.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>columns<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
</section>
<section id="pandas-concat">
<h2>concat<a class="headerlink" href="#pandas-concat" title="Link to this heading">¶</a></h2>
<p>Concatenate pandas objects along a particular axis.</p>
<p>Allows optional set logic along the other axes.</p>
<p>Can also add a layer of hierarchical indexing on the concatenation axis,
which may be useful if the labels are the same (or overlapping) on the
passed axis number.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">axis=0</div>
<div class="line">join=’outer’</div>
<div class="line">ignore_index=False</div>
<div class="line">keys=None</div>
<div class="line">levels=None</div>
<div class="line">names=None</div>
<div class="line">verify_integrity=False</div>
<div class="line">sort=False</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>concat<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-concat-p">
<span id="cmdoption-pandas-concat-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-concat-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-convert-dtypes">
<h2>convert-dtypes<a class="headerlink" href="#pandas-convert-dtypes" title="Link to this heading">¶</a></h2>
<p>Convert columns to the best possible dtypes using dtypes supporting pd.NA.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">infer_objects=True</div>
<div class="line">convert_string=True</div>
<div class="line">convert_integer=True</div>
<div class="line">convert_boolean=True</div>
<div class="line">convert_floating=True</div>
<div class="line">dtype_backend=’numpy_nullable’</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>convert-dtypes<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-convert-dtypes-p">
<span id="cmdoption-pandas-convert-dtypes-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-convert-dtypes-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-corr">
<h2>corr<a class="headerlink" href="#pandas-corr" title="Link to this heading">¶</a></h2>
<p>Compute pairwise correlation of columns, excluding NA/null values.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">method=[‘pearson’|’kendall’|’spearman’]</div>
<div class="line">min_periods=1</div>
<div class="line">numeric_only=False</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>corr<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-corr-p">
<span id="cmdoption-pandas-corr-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-corr-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-describe">
<h2>describe<a class="headerlink" href="#pandas-describe" title="Link to this heading">¶</a></h2>
<p>Generate descriptive statistics.</p>
<p>Descriptive statistics include those that summarize the central tendency,
dispersion and shape of a dataset’s distribution, excluding NaN values.</p>
<p>Analyzes both numeric and object series, as well as DataFrame column sets
of mixed data types. The output will vary depending on what is provided.
Refer to the notes below for more detail.</p>
<p>## Parameters</p>
<blockquote>
<div><p>percentiles=None</p>
<blockquote>
<div><p>The percentiles to include in the output. All should fall between 0
and 1. The default is [.25, .5, .75], which returns the 25th, 50th,
and 75th percentiles.</p>
</div></blockquote>
<p>include=None</p>
<p>exclude=None</p>
</div></blockquote>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>describe<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-describe-p">
<span id="cmdoption-pandas-describe-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-describe-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-drop">
<h2>drop<a class="headerlink" href="#pandas-drop" title="Link to this heading">¶</a></h2>
<p>Drop specified labels from rows or columns.</p>
<p>Remove rows or columns by specifying label names and corresponding axis, or
by directly specifying index or column names. When using a multi-index,
labels on different levels can be removed by specifying the level. See the
user guide for more information about the now unused levels.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">axis=0</div>
<div class="line">index</div>
<div class="line">columns</div>
<div class="line">level=None</div>
<div class="line">errors=[‘raise’|’ignore’]</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>drop<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-drop-p">
<span id="cmdoption-pandas-drop-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-drop-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-dtypes">
<h2>dtypes<a class="headerlink" href="#pandas-dtypes" title="Link to this heading">¶</a></h2>
<p>Return the dtypes in the DataFrame.</p>
<p>This returns a Series with the data type of each column. The result’s index
is the original DataFrame’s columns. Columns with mixed types are stored
with the object dtype. See the User Guide for more.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>dtypes<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
</section>
<section id="pandas-empty">
<h2>empty<a class="headerlink" href="#pandas-empty" title="Link to this heading">¶</a></h2>
<p>Indicator whether Series/DataFrame is empty.</p>
<p>True if Series/DataFrame is entirely empty (no items), meaning any of the
axes are of length 0.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>empty<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
</section>
<section id="pandas-eval">
<h2>eval<a class="headerlink" href="#pandas-eval" title="Link to this heading">¶</a></h2>
<p>Evaluate a string describing operations on DataFrame columns.</p>
<p>Operates on columns only, not specific rows or elements. This allows eval
to run arbitrary code, which can make you vulnerable to code injection if
you pass user input to this function.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span><span class="nb">eval</span><span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-eval-e">
<span id="cmdoption-pandas-eval-expression"></span><span class="sig-name descname"><span class="pre">-e</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--expression</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;expression&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-eval-e" title="Link to this definition">¶</a></dt>
<dd><p><strong>Required</strong> Expression to evaluate on the DataFrame.</p>
</dd></dl>

</section>
<section id="pandas-get">
<h2>get<a class="headerlink" href="#pandas-get" title="Link to this heading">¶</a></h2>
<p>Get item from object for given key (ex: DataFrame column).</p>
<p>Keys provided through the “–key” option are always treated as strings.
Keys provided through the “–params” option are duck-typed. The final set
of keys is the combination of keys provided through these two options as
if all ‘–keys’ options were provided first, then all “–params” options,
regardless of the order in which these appear on the command line.</p>
<p><em>Note</em>: The relative order of labels provided by the “–keys” and
“–params” options are respected.</p>
<p>Example:</p>
<div class="line-block">
<div class="line">pd … get -k k1 -k k2 -p “key=[‘p1’, ‘p2’]” -k k3</div>
</div>
<p>will produce a table,</p>
<div class="line-block">
<div class="line">+—-+—-+—-+—-+—-+—-+</div>
<div class="line">|    | k1 | k2 | k3 | p1 | p2 |</div>
<div class="line">+—-+—-+—-+—-+—-+—-+</div>
<div class="line">| 0  | &lt;table values here&gt;    |</div>
<div class="line">+—-+—-+—-+—-+—-+—-+</div>
</div>
<p>## Parameters</p>
<div class="line-block">
<div class="line">key</div>
<div class="line">default=None</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>get<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-get-k">
<span id="cmdoption-pandas-get-key"></span><span class="sig-name descname"><span class="pre">-k</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--key</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;key&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-get-k" title="Link to this definition">¶</a></dt>
<dd><p><strong>Required</strong> The key or, if passed multiple times, keys to access from a dataframe.</p>
</dd></dl>

<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-get-p">
<span id="cmdoption-pandas-get-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-get-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-groupby">
<h2>groupby<a class="headerlink" href="#pandas-groupby" title="Link to this heading">¶</a></h2>
<p>Group DataFrame using a mapper or by a Series of columns.</p>
<p>A groupby operation involves some combination of splitting the object,
applying a function, and combining the results. This can be used to group
large amounts of data and compute operations on these groups.</p>
<p>The ‘-f/–func’ option sets the reduction to apply to group.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">by=None</div>
<div class="line">axis=_NoDefault.no_default</div>
<div class="line">level=None</div>
<div class="line">as_index=True</div>
<div class="line">sort=True</div>
<div class="line">group_keys=True</div>
<div class="line">observed=_NoDefault.no_default</div>
<div class="line">dropna=True)[source]</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>groupby<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-groupby-f">
<span id="cmdoption-pandas-groupby-func"></span><span class="sig-name descname"><span class="pre">-f</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--func</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;func&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-groupby-f" title="Link to this definition">¶</a></dt>
<dd><p><strong>Required</strong> Reduction function to apply after grouping.</p>
</dd></dl>

<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-groupby-p">
<span id="cmdoption-pandas-groupby-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-groupby-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-head">
<h2>head<a class="headerlink" href="#pandas-head" title="Link to this heading">¶</a></h2>
<p>Return the first n rows.</p>
<p>This function returns the first n rows for the object based on position.
It is useful for quickly testing if your object has the right type of data
in it.</p>
<p>For negative values of n, this function returns all rows except the last
<a href="#id9"><span class="problematic" id="id10">|n|</span></a> rows, equivalent to df[:n].</p>
<p>If n is larger than the number of rows, this function returns all rows.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>head<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-head-n">
<span id="cmdoption-pandas-head-num"></span><span class="sig-name descname"><span class="pre">-n</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--num</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;num&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-head-n" title="Link to this definition">¶</a></dt>
<dd><p>Number of rows to print. Default: 5.</p>
</dd></dl>

</section>
<section id="pandas-idxmax">
<h2>idxmax<a class="headerlink" href="#pandas-idxmax" title="Link to this heading">¶</a></h2>
<p>Return index of first occurrence of maximum over requested axis.</p>
<p>NA/null values are excluded.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">axis=0</div>
<div class="line">skipna=True</div>
<div class="line">numeric_only=False</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>idxmax<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-idxmax-p">
<span id="cmdoption-pandas-idxmax-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-idxmax-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-idxmin">
<h2>idxmin<a class="headerlink" href="#pandas-idxmin" title="Link to this heading">¶</a></h2>
<p>Return index of first occurrence of minimum over requested axis.</p>
<p>NA/null values are excluded.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">axis=0</div>
<div class="line">skipna=True</div>
<div class="line">numeric_only=False</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>idxmin<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-idxmin-p">
<span id="cmdoption-pandas-idxmin-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-idxmin-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-index">
<h2>index<a class="headerlink" href="#pandas-index" title="Link to this heading">¶</a></h2>
<p>The index (row labels) of the DataFrame.</p>
<p>The index of a DataFrame is a series of labels that identify each row. The
labels can be integers, strings, or any other hashable type. The index is
used for label-based access and alignment, and can be accessed or modified
using this attribute.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>index<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
</section>
<section id="pandas-infer-objects">
<h2>infer-objects<a class="headerlink" href="#pandas-infer-objects" title="Link to this heading">¶</a></h2>
<p>Attempt to infer better dtypes for object columns.</p>
<p>Attempts soft conversion of object-dtyped columns, leaving non-object and
unconvertible columns unchanged. The inference rules are the same as during
normal Series/DataFrame construction.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>infer-objects<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
</section>
<section id="pandas-info">
<h2>info<a class="headerlink" href="#pandas-info" title="Link to this heading">¶</a></h2>
<p>Print a concise summary of a DataFrame.</p>
<p>This method prints information about a DataFrame including the index dtype
and columns, non-null values and memory usage.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">verbose=None</div>
<div class="line">buf=None</div>
<div class="line">max_cols=None</div>
<div class="line">memory_usage=None</div>
<div class="line">show_counts=None</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>info<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-info-p">
<span id="cmdoption-pandas-info-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-info-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-join">
<h2>join<a class="headerlink" href="#pandas-join" title="Link to this heading">¶</a></h2>
<p>Join columns of another DataFrame.</p>
<p>See also: <cite>merge</cite>. This function (join) is more efficient at combining
multiple dataframes.</p>
<p>Join columns with other DataFrame either on index or on a key column.
Efficiently join multiple DataFrame objects by index at once by passing a
list.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">on: label or list</div>
<div class="line">how=[‘left’, ‘right’, ‘outer’, ‘inner’, ‘cross’]. Default:’left’</div>
<div class="line">lsuffix=’’</div>
<div class="line">rsuffix=’’</div>
<div class="line">sort=False</div>
<div class="line">validate: [“1:1”, “1:m”, “m:1”, “m:m”]. Default: None.</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>join<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-join-p">
<span id="cmdoption-pandas-join-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-join-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-melt">
<h2>melt<a class="headerlink" href="#pandas-melt" title="Link to this heading">¶</a></h2>
<p>Unpivot a DataFrame from wide to long format, optionally leaving
identifiers set.</p>
<p>This function is useful to massage a DataFrame into a format where one or
more columns are identifier variables (id_vars), while all other columns,
considered measured variables (value_vars), are “unpivoted” to the row
axis, leaving just two non-identifier columns, ‘variable’ and ‘value’.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">id_vars=None</div>
<div class="line">value_vars=None</div>
<div class="line">var_name=None</div>
<div class="line">value_name=’value’</div>
<div class="line">col_level=None</div>
<div class="line">ignore_index=True</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>melt<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-melt-p">
<span id="cmdoption-pandas-melt-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-melt-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-memory-usage">
<h2>memory-usage<a class="headerlink" href="#pandas-memory-usage" title="Link to this heading">¶</a></h2>
<p>Return the memory usage of each column in bytes.</p>
<p>The memory usage can optionally include the contribution of the index and
elements of object dtype.</p>
<p>This value is displayed in DataFrame.info by default. This can be
suppressed by setting pandas.options.display.memory_usage to False.</p>
<p># Parameters</p>
<div class="line-block">
<div class="line">index=True</div>
<div class="line">deep=False</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>memory-usage<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-memory-usage-p">
<span id="cmdoption-pandas-memory-usage-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-memory-usage-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-merge">
<h2>merge<a class="headerlink" href="#pandas-merge" title="Link to this heading">¶</a></h2>
<p>Merge DataFrame or named Series objects with a database-style join. For
a more efficient merge with multiple dataframes, see <cite>join</cite>.</p>
<p><em>Note: This operation is performed reductively.</em> That is, the first two
dataframes are merged. The resulting dataframe is merged with the third;
that result, merged with the fourth; and so on until all dataframes are
merged.</p>
<p>If this behavior is not desired, for example, if merge criteria different
from that used to merge the first two dataframes is desired when merging
the result with the third, then merge the first two before reading in the
third, e.g.</p>
<div class="line-block">
<div class="line"><a href="#id1"><span class="problematic" id="id2">``</span></a><a href="#id3"><span class="problematic" id="id4">`</span></a></div>
<div class="line">pd</div>
<div class="line-block">
<div class="line">read -f “one.csv” read -f “two.csv”</div>
<div class="line">merge -p “…”</div>
<div class="line">read -f “three.csv”</div>
<div class="line">merge -p “…”</div>
</div>
<div class="line"><a href="#id5"><span class="problematic" id="id6">``</span></a><a href="#id7"><span class="problematic" id="id8">`</span></a></div>
</div>
<p>A named Series object is treated as a DataFrame with a single named column.</p>
<p>The join is done on columns or indexes. If joining columns on columns, the
DataFrame indexes will be ignored. Otherwise if joining indexes on indexes
or indexes on a column or columns, the index will be passed on. When
performing a cross merge, no column specifications to merge on are allowed.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">how=[‘left’, ‘right’, ‘outer’, ‘inner’, ‘cross’]. Default:’inner’</div>
<div class="line">on: label or list</div>
<div class="line">left_on: label or list</div>
<div class="line">right_on: label or list</div>
<div class="line">left_index=False</div>
<div class="line">right_index=False</div>
<div class="line">sort=False</div>
<div class="line">suffixes=(‘_x’, ‘_y’)</div>
<div class="line">copy: bool. Default: True.</div>
<div class="line">indicator=False,</div>
<div class="line">validate: [“1:1”, “1:m”, “m:1”, “m:m”]. Default: None.</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>merge<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-merge-p">
<span id="cmdoption-pandas-merge-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-merge-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-pivot">
<h2>pivot<a class="headerlink" href="#pandas-pivot" title="Link to this heading">¶</a></h2>
<p>Return reshaped DataFrame organized by given index / column values.</p>
<p>Reshape data (produce a “pivot” table) based on column values. Uses unique
values from specified index / columns to form axes of the resulting
DataFrame. This function does not support data aggregation, multiple values
will result in a MultiIndex in the columns. See the User Guide for more on
reshaping.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">columns</div>
<div class="line">index=_NoDefault.no_default</div>
<div class="line">values=_NoDefault.no_default</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>pivot<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-pivot-p">
<span id="cmdoption-pandas-pivot-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-pivot-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-query">
<h2>query<a class="headerlink" href="#pandas-query" title="Link to this heading">¶</a></h2>
<p>Query the columns of a DataFrame with a boolean expression.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>query<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-query-e">
<span id="cmdoption-pandas-query-expression"></span><span class="sig-name descname"><span class="pre">-e</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--expression</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;expression&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-query-e" title="Link to this definition">¶</a></dt>
<dd><p><strong>Required</strong> The query expression to be evaluated.</p>
</dd></dl>

</section>
<section id="pandas-read">
<h2>read<a class="headerlink" href="#pandas-read" title="Link to this heading">¶</a></h2>
<p>Read a pandas DataFrame from a file.</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span><span class="nb">read</span><span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-read-f">
<span id="cmdoption-pandas-read-filename"></span><span class="sig-name descname"><span class="pre">-f</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--filename</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;filename&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-read-f" title="Link to this definition">¶</a></dt>
<dd><p><strong>Required</strong> File to read in as a pandas.DataFrame based on the file extension.</p>
</dd></dl>

<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-read-p">
<span id="cmdoption-pandas-read-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-read-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-read-format">
<span class="sig-name descname"><span class="pre">--format</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;format&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-read-format" title="Link to this definition">¶</a></dt>
<dd><p>Explicitly specify the file extension. (Not usually necessary.)</p>
<dl class="field-list simple">
<dt class="field-odd">Options<span class="colon">:</span></dt>
<dd class="field-odd"><p>.csv | .pkl | .txt | .xlsx</p>
</dd>
</dl>
</dd></dl>

</section>
<section id="pandas-reduce">
<h2>reduce<a class="headerlink" href="#pandas-reduce" title="Link to this heading">¶</a></h2>
<p>Apply a reduction function to a DataFrame.</p>
<p>If parameters are specified for one function, then they must either be
specified for all functions or the first set of parameters specified will
be used for each and all other parameters (or lack thereof) will be
ignored.</p>
<p>## Parameters</p>
<p>These functions are documented in the pandas documentation,
<a class="reference external" href="https://pandas.pydata.org/docs/reference/frame.html">https://pandas.pydata.org/docs/reference/frame.html</a>.</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>reduce<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-reduce-f">
<span id="cmdoption-pandas-reduce-func"></span><span class="sig-name descname"><span class="pre">-f</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--func</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;func&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-reduce-f" title="Link to this definition">¶</a></dt>
<dd><p>Apply a reduction function on a DataFrame.</p>
<dl class="field-list simple">
<dt class="field-odd">Options<span class="colon">:</span></dt>
<dd class="field-odd"><p>clip | count | cov | cummax | cummin | cumprod | cumsum | diff | kurtosis | max | mean | median | mode | pct_change | prod | quantile | rank | round | sem | skew | sum | std | var | nunique</p>
</dd>
</dl>
</dd></dl>

<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-reduce-flat">
<span class="sig-name descname"><span class="pre">--flat</span></span><span class="sig-prename descclassname"></span><a class="headerlink" href="#cmdoption-pandas-reduce-flat" title="Link to this definition">¶</a></dt>
<dd><p>If set, each function produces a new column with a ‘_&lt;func&gt;’ suffix.</p>
</dd></dl>

<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-reduce-p">
<span id="cmdoption-pandas-reduce-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-reduce-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-rename">
<h2>rename<a class="headerlink" href="#pandas-rename" title="Link to this heading">¶</a></h2>
<p>Rename columns or index labels.</p>
<p>Function / dict values must be unique (1-to-1). Labels not contained in a
dict / Series will be left as-is. Extra labels listed don’t throw an error.</p>
<p>See the user guide (<a class="reference external" href="https://pandas.pydata.org/docs/user_guide/basics.html#basics-rename">https://pandas.pydata.org/docs/user_guide/basics.html#basics-rename</a>)
for more.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">mapper=dict</div>
<div class="line">index=None</div>
<div class="line">columns=None</div>
<div class="line">axis=None</div>
<div class="line">copy=None</div>
<div class="line">inplace=False</div>
<div class="line">level=None</div>
<div class="line">errors=’ignore’</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>rename<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-rename-p">
<span id="cmdoption-pandas-rename-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-rename-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-reset-index">
<h2>reset-index<a class="headerlink" href="#pandas-reset-index" title="Link to this heading">¶</a></h2>
<p>Reset the index, or a level of it.</p>
<p>Reset the index of the DataFrame, and use the default one instead. If the
DataFrame has a MultiIndex, this method can remove one or more levels.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">level=None</div>
<div class="line">drop=False</div>
<div class="line">col_level=0</div>
<div class="line">col_fill=’’</div>
<div class="line">allow_duplicates=_NoDefault.no_default</div>
<div class="line">names=None</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>reset-index<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-reset-index-p">
<span id="cmdoption-pandas-reset-index-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-reset-index-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-shape">
<h2>shape<a class="headerlink" href="#pandas-shape" title="Link to this heading">¶</a></h2>
<p>Return a tuple representing the dimensionality of the DataFrame.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>shape<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
</section>
<section id="pandas-size">
<h2>size<a class="headerlink" href="#pandas-size" title="Link to this heading">¶</a></h2>
<p>Return an int representing the number of elements in this object.</p>
<p>Return the number of rows if Series. Otherwise return the number of rows
times number of columns if DataFrame.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>size<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
</section>
<section id="pandas-sort">
<h2>sort<a class="headerlink" href="#pandas-sort" title="Link to this heading">¶</a></h2>
<p>Sort by values along either axis.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">axis=0</div>
<div class="line">ascending=True</div>
<div class="line">kind=’quicksort’</div>
<div class="line">na_position=’last’</div>
<div class="line">ignore_index=False</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>sort<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-sort-p">
<span id="cmdoption-pandas-sort-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-sort-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-sort-index">
<h2>sort-index<a class="headerlink" href="#pandas-sort-index" title="Link to this heading">¶</a></h2>
<p>Sort a DataFrame by index.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">axis=0</div>
<div class="line">level=None</div>
<div class="line">ascending=True</div>
<div class="line">kind=’quicksort’</div>
<div class="line">na_position=’last’</div>
<div class="line">sort_remaining=True</div>
<div class="line">ignore_index=False</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>sort-index<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-sort-index-p">
<span id="cmdoption-pandas-sort-index-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-sort-index-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-stack">
<h2>stack<a class="headerlink" href="#pandas-stack" title="Link to this heading">¶</a></h2>
<p>Stack the prescribed level(s) from columns to index.</p>
<p>Return a reshaped DataFrame or Series having a multi-level index with one
or more new inner-most levels compared to the current DataFrame. The new
inner-most levels are created by pivoting the columns of the current
dataframe:</p>
<ul class="simple">
<li><p>if the columns have a single level, the output is a Series;</p></li>
<li><p>if the columns have multiple levels, the new index level(s) is (are)
taken from the prescribed level(s) and the output is a DataFrame.</p></li>
</ul>
<p>## Parameters</p>
<div class="line-block">
<div class="line">level=-1</div>
<div class="line">dropna=_NoDefault.no_default</div>
<div class="line">sort=_NoDefault.no_default</div>
<div class="line">future_stack=False</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>stack<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-stack-p">
<span id="cmdoption-pandas-stack-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-stack-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-tabular">
<h2>tabular<a class="headerlink" href="#pandas-tabular" title="Link to this heading">¶</a></h2>
<p>Print a DataFrame to the stdout.</p>
<p>## Paramters</p>
<div class="line-block">
<div class="line">headers=[list of column headers|”firstrow”|”keys”]</div>
<div class="line">floatfmt=’g’</div>
<div class="line">intfmt=’’</div>
<div class="line">numalign=’default’</div>
<div class="line">stralign=’default’</div>
<div class="line">missingval=’’</div>
<div class="line">showindex=’default’</div>
<div class="line">disable_numparse=False</div>
<div class="line">colalign=None</div>
<div class="line">maxcolwidths=None</div>
<div class="line">rowalign=None</div>
<div class="line">maxheadercolwidths=None</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>tabular<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-tabular-f">
<span id="cmdoption-pandas-tabular-format"></span><span class="sig-name descname"><span class="pre">-f</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--format</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;format&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-tabular-f" title="Link to this definition">¶</a></dt>
<dd><p>Print the DataFrame as a formatted table.</p>
<dl class="field-list simple">
<dt class="field-odd">Options<span class="colon">:</span></dt>
<dd class="field-odd"><p>plain | simple | github | grid | simple_grid | rounded_grid | heavy_grid | mixed_grid | double_grid | fancy_grid | outline | simple_outline | rounded_outline | heavy_outline | mixed_outline | double_outline | fancy_outline | pipe | orgtbl | asciidoc | jira | presto | pretty | psql | rst | mediawiki | moinmoin | youtrack | html | unsafehtml | latex | latex_raw | latex_booktabs | latex_longtable | textile | tsv</p>
</dd>
</dl>
</dd></dl>

<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-tabular-p">
<span id="cmdoption-pandas-tabular-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-tabular-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-tail">
<h2>tail<a class="headerlink" href="#pandas-tail" title="Link to this heading">¶</a></h2>
<p>Return the last n rows equivalent to df[<a href="#id11"><span class="problematic" id="id12">|n|</span></a>:].</p>
<p>This function returns the last n rows for the object based on position.
It is useful for quickly testing if your object has the right type of data
in it.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>tail<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-tail-n">
<span id="cmdoption-pandas-tail-num"></span><span class="sig-name descname"><span class="pre">-n</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--num</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;num&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-tail-n" title="Link to this definition">¶</a></dt>
<dd><p>Number of rows to print. Default: 5.</p>
</dd></dl>

</section>
<section id="pandas-transpose">
<h2>transpose<a class="headerlink" href="#pandas-transpose" title="Link to this heading">¶</a></h2>
<p>Returns the transpose of the DataFrame.</p>
<p>## Parameters</p>
<p>None</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>transpose<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
</section>
<section id="pandas-unstack">
<h2>unstack<a class="headerlink" href="#pandas-unstack" title="Link to this heading">¶</a></h2>
<p>Pivot a level of the (necessarily hierarchical) index labels.</p>
<p>Returns a DataFrame having a new level of column labels whose inner-most
level consists of the pivoted index labels.</p>
<p>If the index is not a MultiIndex, the output will be a Series (the analogue
of stack when the columns are not a MultiIndex).</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">level=-1</div>
<div class="line">fill_value=None</div>
<div class="line">sort=True</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>unstack<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-unstack-p">
<span id="cmdoption-pandas-unstack-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-unstack-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
<section id="pandas-write">
<h2>write<a class="headerlink" href="#pandas-write" title="Link to this heading">¶</a></h2>
<p>Write a pandas DataFrame to a file.</p>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>write<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-write-f">
<span id="cmdoption-pandas-write-filename"></span><span class="sig-name descname"><span class="pre">-f</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--filename</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;filename&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-write-f" title="Link to this definition">¶</a></dt>
<dd><p><strong>Required</strong> File into which the pandas.DataFrame should be written.</p>
</dd></dl>

<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-write-p">
<span id="cmdoption-pandas-write-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-write-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-write-format">
<span class="sig-name descname"><span class="pre">--format</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;format&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-write-format" title="Link to this definition">¶</a></dt>
<dd><p>Explicitly specify the file extension. (Not usually necessary.)</p>
<dl class="field-list simple">
<dt class="field-odd">Options<span class="colon">:</span></dt>
<dd class="field-odd"><p>.csv | .html | .pkl | .txt | .xlsx</p>
</dd>
</dl>
</dd></dl>

</section>
<section id="pandas-xs">
<h2>xs<a class="headerlink" href="#pandas-xs" title="Link to this heading">¶</a></h2>
<p>Return cross-section from the Series/DataFrame.</p>
<p>This method takes a key argument to select data at a particular level of a
MultiIndex.</p>
<p>## Parameters</p>
<div class="line-block">
<div class="line">axis=0</div>
<div class="line">level=[int|list-like]</div>
<div class="line">drop_level=True</div>
</div>
<div class="highlight-shell notranslate"><div class="highlight"><pre><span></span>pandas<span class="w"> </span>xs<span class="w"> </span><span class="o">[</span>OPTIONS<span class="o">]</span>
</pre></div>
</div>
<p class="rubric">Options</p>
<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-xs-k">
<span id="cmdoption-pandas-xs-key"></span><span class="sig-name descname"><span class="pre">-k</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--key</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;key&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-xs-k" title="Link to this definition">¶</a></dt>
<dd><p><strong>Required</strong> The key or, if passed multiple times, keys to access from a multi-index dataframe.</p>
</dd></dl>

<dl class="std option">
<dt class="sig sig-object std" id="cmdoption-pandas-xs-p">
<span id="cmdoption-pandas-xs-params"></span><span class="sig-name descname"><span class="pre">-p</span></span><span class="sig-prename descclassname"></span><span class="sig-prename descclassname"><span class="pre">,</span> </span><span class="sig-name descname"><span class="pre">--params</span></span><span class="sig-prename descclassname"> <span class="pre">&lt;params&gt;</span></span><a class="headerlink" href="#cmdoption-pandas-xs-p" title="Link to this definition">¶</a></dt>
<dd><p>String of function options in the format ‘param1=value1|param2=value2|…’.</p>
</dd></dl>

</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">pandas</a></h1>








<h3>Navigation</h3>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Reference</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#pandas-agg">agg</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-astype">astype</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-axes">axes</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-columns">columns</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-concat">concat</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-convert-dtypes">convert-dtypes</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-corr">corr</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-describe">describe</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-drop">drop</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-dtypes">dtypes</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-empty">empty</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-eval">eval</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-get">get</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-groupby">groupby</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-head">head</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-idxmax">idxmax</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-idxmin">idxmin</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-index">index</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-infer-objects">infer-objects</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-info">info</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-join">join</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-melt">melt</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-memory-usage">memory-usage</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-merge">merge</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-pivot">pivot</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-query">query</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-read">read</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-reduce">reduce</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-rename">rename</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-reset-index">reset-index</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-shape">shape</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-size">size</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-sort">sort</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-sort-index">sort-index</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-stack">stack</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-tabular">tabular</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-tail">tail</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-transpose">transpose</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-unstack">unstack</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-write">write</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pandas-xs">xs</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
      <li>Previous: <a href="readme.html" title="previous chapter">&lt;no title&gt;</a></li>
      <li>Next: <a href="contributing.html" title="next chapter">&lt;no title&gt;</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Branden Kappes.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="_sources/pandas.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>